# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.87"
name = "radio-utils-protocol"
version = "0.1.1"
authors = ["Michal Zabielski <zabielski.michal@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "OpenHPSDR Protocol 1 client library for Hermes / Hermes Lite 2"
readme = "README.md"
keywords = [
    "ham-radio",
    "sdr",
    "hpsdr",
    "openhpsdr",
    "amateur-radio",
]
categories = [
    "network-programming",
    "hardware-support",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/sp5tls/radio-utils"

[features]
client = [
    "dep:tokio",
    "dep:rand",
    "if-addrs",
]
default = ["client"]
if-addrs = ["dep:if-addrs"]
serde = [
    "dep:serde",
    "dep:serde_json",
    "dep:bincode",
]

[lib]
name = "radio_utils_protocol"
path = "src/lib.rs"

[dependencies.bincode]
version = "1.3"
optional = true

[dependencies.if-addrs]
version = "0.7"
optional = true

[dependencies.log]
version = "0.4"

[dependencies.num-complex]
version = "0.4"

[dependencies.rand]
version = "0.9"
optional = true

[dependencies.ringbuf]
version = "0.4"

[dependencies.serde]
version = "1"
features = [
    "derive",
    "derive",
]
optional = true

[dependencies.serde_json]
version = "1"
optional = true

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "sync",
    "time",
    "net",
    "rt",
    "macros",
]
optional = true
default-features = false
